#include <syscall.h>

#define __KERNEL__ 
#include <sys/msg.h>

static inline
_syscall5(int,ipc,int,call,int,first,int,second,int,third,void *,ptr)

int
msgctl (int msqid, int cmd, struct msqid_ds *buf)
{
    return ipc (MSGCTL, msqid, cmd, 0, buf);
}


